com.massivecraft.factions.listeners

## Class FactionsChatListener

- java.lang.Object
- - com.massivecraft.factions.listeners.FactionsChatListener

- All Implemented Interfaces:
    org.bukkit.event.Listener

      public class FactionsChatListener
      extends java.lang.Object
      implements org.bukkit.event.Listener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `SavageFactions` | `savageFactions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FactionsChatListener(SavageFactions savageFactions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onPlayerChat(org.bukkit.event.player.AsyncPlayerChatEvent event)`
    `void` | `onPlayerEarlyChat(org.bukkit.event.player.AsyncPlayerChatEvent event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### savageFactions

          public SavageFactions savageFactions

  - ### Constructor Detail

    - #### FactionsChatListener

          public FactionsChatListener(SavageFactions savageFactions)

  - ### Method Detail

    - #### onPlayerEarlyChat

          public void onPlayerEarlyChat(org.bukkit.event.player.AsyncPlayerChatEvent event)

    - #### onPlayerChat

          public void onPlayerChat(org.bukkit.event.player.AsyncPlayerChatEvent event)